.cta__outer {
    position: relative;
}

.cta__outer::before {
    content: "";
    z-index: -10;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #F3F7FD;
}

.cta {
    padding: 120px 40px;
    position: relative;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 32px;
    overflow: hidden;
}

.cta, .cta__link,
.cta .cta__text {
    color: #fff;
}

.cta::before {
    content: "";
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #258BFF;
    z-index: -5;
}

.cta .cta__title {
    font-weight: 700;
    font-size: 48px;
    line-height: 32px;
    letter-spacing: 0px;
    text-align: center;
}

.cta .cta__text {
    text-align: center;
    max-width: 630px;
}

.cta .cta__bg-picture {
    position: absolute;
    height: 500px;
    pointer-events: none;
    z-index: -1;
}

.cta .cta__bg-img {
    height: 100%;
    width: auto;
}

.cta .cta__bg-picture.top {
    top: 0;
    right: 0;
}

.cta .cta__bg-picture.bottom {
    bottom: 0;
    left: 0;
    transform: rotate(180deg);
}

.cta .cta__contacts {
    display: flex;
    gap: 24px;
}

.cta .cta__divider {
    width: 100%;
    max-width: 500px;
    height: 1px;
    margin: 40px 0;
    position: relative;
    background: linear-gradient(90deg,rgba(197, 224, 255, 0) 0%, rgba(197, 224, 255, 1) 50%, rgba(197, 224, 255, 0) 100%);;
}

.cta .cta__link {
    border: 1px solid #FFFFFF4D;
    background: #469cff;
    display: flex;
    gap: 16px;
    align-items: center;
    padding: 18px 24px;
    border-radius: 14px;
    transition: box-shadow 0.3s;
}

@media screen and (hover:hover) {
    .cta .cta__link:hover {
        box-shadow: 0 8px 15px rgba(31, 54, 120, 0.1);
    }
}

.cta .cta__text {
    margin-top: 32px;
}

@media (max-width: 1100px) {
    .cta {
        padding: 96px 32px;
    }

    .cta .cta__title {
        font-size: 40px;
    }
}

@media (max-width: 768px) {
    .cta {
        padding: 72px 24px;
        border-radius: 24px;
    }

    .cta .cta__title {
        font-size: 32px;
        line-height: 1.2;
    }

    .cta .cta__contacts {
        flex-direction: column;
        width: 100%;
        gap: 12px;
    }

    .cta .cta__link {
        width: 100%;
        justify-content: center;
    }

    .cta .cta__divider {
        margin: 32px 0;
    }
}

@media (max-width: 520px) {
    .cta {
        padding: 56px 16px;
    }

    .cta .cta__title {
        font-size: 26px;
        text-align: left;
        width: 100%;
    }

    .cta .cta__text {
        text-align: left;
    }

    .cta .cta__bg-picture {
        height: 320px;
    }

    .cta .cta__link {
        padding: 6px 12px;
        justify-content: left;
    }

    .cta .cta__divider {
        margin: 16px 0;
    }
}
